# H460_FeatureStd24 Class Reference

`#include <h460_std23.h>`

Inheritance diagram for H460_FeatureStd24:

[legend]
Collaboration diagram for H460_FeatureStd24:
[legend]

## Public Types

| e_unknown
| e_noassist
| e_localMaster
| e_remoteMaster
| e_localProxy
| e_remoteProxy
| e_natFullProxy
| e_natAnnexA
| e_natAnnexB
| e_natFailure = 100
| e_default
| e_enable
| e_AnnexA
| e_AnnexB
| e_disable
enum | NatInstruct { e_unknown, e_noassist, e_localMaster, e_remoteMaster, e_localProxy, e_remoteProxy, e_natFullProxy, e_natAnnexA, e_natAnnexB, e_natFailure = 100 }
enum | H46024NAT { e_default, e_enable, e_AnnexA, e_AnnexB, e_disable }

## Public Member Functions

| H460_FeatureStd24 ()
virtual | ~H460_FeatureStd24 ()
virtual void | AttachEndPoint (H323EndPoint *_ep)
virtual void | AttachConnection (H323Connection *_ep)
virtual PBoolean | CommonFeature ()
virtual PBoolean | OnSendAdmissionRequest (H225_FeatureDescriptor &pdu)
virtual void | OnReceiveAdmissionConfirm (const H225_FeatureDescriptor &pdu)
virtual void | OnReceiveAdmissionReject (const H225_FeatureDescriptor &pdu)
virtual PBoolean | OnSendSetup_UUIE (H225_FeatureDescriptor &pdu)
virtual void | OnReceiveSetup_UUIE (const H225_FeatureDescriptor &pdu)

## Static Public Member Functions

static PStringArray | GetFeatureName ()
static PStringArray | GetFeatureFriendlyName ()
static int | GetPurpose ()
static PStringArray | GetIdentifier ()
static PString | GetNATStrategyString (NatInstruct method)

## Protected Member Functions

void | HandleNATInstruction (NatInstruct natconfig)
void | SetNATMethods (H46024NAT state)
void | SetH46019State (bool state)

## Member Enumeration Documentation

enum H460_FeatureStd24::H46024NAT

Enumerator:

  e_default |
  e_enable |
  e_AnnexA |
  e_AnnexB |
  e_disable |

enum H460_FeatureStd24::NatInstruct

Enumerator:

  e_unknown |
  e_noassist |
  e_localMaster |
  e_remoteMaster |
  e_localProxy |
  e_remoteProxy |
  e_natFullProxy |
  e_natAnnexA |
  e_natAnnexB |
  e_natFailure |

## Constructor & Destructor Documentation

H460_FeatureStd24::H460_FeatureStd24 | ( |  | ) |

virtual H460_FeatureStd24::~H460_FeatureStd24 | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void H460_FeatureStd24::AttachConnection | ( | H323Connection * | _ep | ) | `[virtual]`

Attach the connection object, Override this to link to your own Connection Instance

Reimplemented from H460_Feature.

virtual void H460_FeatureStd24::AttachEndPoint | ( | H323EndPoint * | _ep | ) | `[virtual]`

Attach the endpoint. Override this to link your own Endpoint Instance.

Reimplemented from H460_Feature.

virtual PBoolean H460_FeatureStd24::CommonFeature | ( |  | ) | `[inline, virtual]`

static PStringArray H460_FeatureStd24::GetFeatureFriendlyName | ( |  | ) | `[inline, static]`

Get Feature Friendly Name This usually the user friendly description

Reimplemented from H460_Feature.

static PStringArray H460_FeatureStd24::GetFeatureName | ( |  | ) | `[inline, static]`

Get Feature Name. This is usually the Derived Class Name

Reimplemented from H460_Feature.

static PStringArray H460_FeatureStd24::GetIdentifier | ( |  | ) | `[inline, static]`

static PString H460_FeatureStd24::GetNATStrategyString | ( | NatInstruct | method | ) | `[static]`

static int H460_FeatureStd24::GetPurpose | ( |  | ) | `[inline, static]`

Get the purpose of the the Feature whether for Signalling,RAS or both. This determines when the class is instantized

Reimplemented from H460_Feature.

void H460_FeatureStd24::HandleNATInstruction | ( | NatInstruct | natconfig | ) | `[protected]`

virtual void H460_FeatureStd24::OnReceiveAdmissionConfirm | ( | const H225_FeatureDescriptor & | pdu | ) | `[virtual]`

Reimplemented from H460_Feature.

virtual void H460_FeatureStd24::OnReceiveAdmissionReject | ( | const H225_FeatureDescriptor & | pdu | ) | `[virtual]`

Reimplemented from H460_Feature.

virtual void H460_FeatureStd24::OnReceiveSetup_UUIE | ( | const H225_FeatureDescriptor & | pdu | ) | `[virtual]`

Reimplemented from H460_Feature.

virtual PBoolean H460_FeatureStd24::OnSendAdmissionRequest | ( | H225_FeatureDescriptor & | pdu | ) | `[virtual]`

Reimplemented from H460_Feature.

virtual PBoolean H460_FeatureStd24::OnSendSetup_UUIE | ( | H225_FeatureDescriptor & | pdu | ) | `[virtual]`

Reimplemented from H460_Feature.

void H460_FeatureStd24::SetH46019State | ( | bool | state | ) | `[protected]`

void H460_FeatureStd24::SetNATMethods | ( | H46024NAT | state | ) | `[protected]`

The documentation for this class was generated from the following file:

- h460_std23.h